Xfce Forum

Sub domains
 

You are not logged in.

#1 2013-01-12 05:44:22

themacmeister
Member
Registered: 2013-01-12
Posts: 1

Cannot build GIT xfwm4. XFCE4 4.10, Xubuntu 12.10, amd64

I need the git build of xfwm4 for a solution to screen-tearing with any NVIDIA proprietary driver. Apparently there is a fix in GIT repo with xsync support that may fix the problem. I reverted to nvidia-173, and the problem is still as bad as ever.

I get the following message when attempting compile of git cloned xfwm4.

make  all-am
make[3]: Entering directory `/home/stuart/xfwm4/settings-dialogs'
  CC     xfwm4_settings-xfwm4-settings.o
xfwm4-settings.c:46:54: fatal error: libxfce4kbd-private/xfce-shortcuts-xfwm4.h: No such file or directory
compilation terminated.

I have all the relevant dev packages installed?

Any ideas?

Send me an email if you know what's up. Many thanks.

themacmeister

Offline

#2 2013-01-12 09:48:24

jeromeg
Moderator
From: France
Registered: 2010-11-11
Posts: 131
Website

Re: Cannot build GIT xfwm4. XFCE4 4.10, Xubuntu 12.10, amd64

You need to build libxfce4ui from git too.

Offline

Board footer

Powered by FluxBB